package view;

import javafx.scene.Group;
import javafx.scene.shape.Box;

public class Desk {
	private final Box desk;
	public Desk(CustomMaterial material) {
		int table_size = BoardView.BOARD_SIZE*12;
		desk = new Box(table_size*2, BoardView.BOARD_SIZE, table_size);
		desk.translateYProperty().set((double) BoardView.BOARD_SIZE /2);
		desk.setMaterial(material.get(CustomMaterial.WOOD));
	}

	public void addAllToScene(Group group) {
		group.getChildren().add(desk);
	}
}
